Bug 118100 - [PATCH]chinese/cxterm broken in 7.0
Summary: [PATCH]chinese/cxterm broken in 7.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-17 09:30 UTC by Sunry Chen
Modified: 2007-11-22 21:30 UTC (History)
0 users

See Also:


Attachments
file.diff (3.31 KB, patch)
2007-11-17 09:30 UTC, Sunry Chen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sunry Chen 2007-11-17 09:30:00 UTC
As described here:
http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/e.7.2007110918/zh-cxterm-5.0.3_1.log

And marked as broken in Makefile:
.if ${OSVERSION} >= 700042
BROKEN=         Does not compile on GCC 4.2
.endif

Fix: Patch attached with submission follows:
How-To-Repeat: Compile it on GCC 4.2
Comment 1 Martin Wilke freebsd_committer 2007-11-17 11:05:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2007-11-18 18:37:47 UTC
State Changed
From-To: open->feedback

Hi, 

The build failed on amd64 (core dump) could you take a look in this. 

http://amd64.miwibox.org/tb/index.php?action=describe_port&id=376 . 

i386 is ok. 

Thanks M
Comment 3 Martin Wilke freebsd_committer 2007-11-22 15:00:23 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2007-11-22 21:21:53 UTC
miwi        2007-11-22 14:56:45 UTC

  FreeBSD ports repository

  Modified files:
    chinese/cxterm       Makefile 
    chinese/cxterm/files patch-charproc.c 
  Added files:
    chinese/cxterm/files cxterm_HZutil.c patch-cxterm_scrollbar.c 
                         patch-utils_cit2tit.c 
                         patch-utils_hzimctrl.c 
                         patch-utils_tit2cit.c 
  Removed files:
    chinese/cxterm/files patch-ad patch-cit2tit.c patch-tit2cit.c 
  Log:
  - Fix build with gcc 4.2
  - Pass maintainership to submitter
  
  PR:             118100
  Submitted by:   Sunry Chen <sunrychen@gmail.com>
  Approved by:    portmgr (pav)
  
  Revision  Changes    Path
  1.29      +6 -7      ports/chinese/cxterm/Makefile
  1.1       +18 -0     ports/chinese/cxterm/files/cxterm_HZutil.c (new)
  1.2       +0 -10     ports/chinese/cxterm/files/patch-ad (dead)
  1.2       +20 -3     ports/chinese/cxterm/files/patch-charproc.c
  1.2       +0 -11     ports/chinese/cxterm/files/patch-cit2tit.c (dead)
  1.1       +18 -0     ports/chinese/cxterm/files/patch-cxterm_scrollbar.c (new)
  1.2       +0 -11     ports/chinese/cxterm/files/patch-tit2cit.c (dead)
  1.1       +12 -0     ports/chinese/cxterm/files/patch-utils_cit2tit.c (new)
  1.1       +25 -0     ports/chinese/cxterm/files/patch-utils_hzimctrl.c (new)
  1.1       +12 -0     ports/chinese/cxterm/files/patch-utils_tit2cit.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"